E-MailRelay

Public Member Functions | List of all members
GSmtp::DirectoryReader Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a directory. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::DirectoryReader:

## Public Member Functions
| DirectoryReader ()
| Default constructor. More...
| ~DirectoryReader ()
| Destructor. Switches identity back.
| DirectoryReader (const DirectoryReader &)=delete
| DirectoryReader (DirectoryReader &&)=delete
void | operator= (const DirectoryReader &)=delete
void | operator= (DirectoryReader &&)=delete

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a directory.

See also
  G::Root

Definition at line 178 of file gfilestore.h.

## Constructor & Destructor Documentation

## ◆ DirectoryReader()

GSmtp::DirectoryReader::DirectoryReader | ( |  | ) |
| default

Default constructor.

Switches identity for reading a directory.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.cpp